Name:		shadowsocks-qt5
Version:	3.0.1
Release:	%mkrel 8
Summary:	Shadowsocks GUI client
Group:		Networking/Other
License:	LGPLv3+
URL:		http://shadowsocks.org/en/index.html
Source:		https://github.com/librehat/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:	cmake
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(libqrencode)
BuildRequires:	pkgconfig(zbar)
BuildRequires:	pkgconfig(QtShadowsocks)

%description
Shadowsocks-Qt5 is a native and cross-platform shadowsocks GUI client with
advanced features.

%prep
%setup -q

%build
%cmake
%cmake_build

%install
%cmake_install

%files
%{_bindir}/ss-qt5
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png


%changelog
* Tue Apr 05 2022 umeabot <umeabot> 3.0.1-8.mga9
+ Revision: 1844347
- Mageia 9 Mass Rebuild

* Thu Dec 17 2020 umeabot <umeabot> 3.0.1-7.mga8
+ Revision: 1659803
- Rebuild for new Qt5

* Wed Nov 11 2020 joequant <joequant> 3.0.1-6.mga8
+ Revision: 1644637
- rebuild to fix build break with old qca-qt5

* Fri Aug 14 2020 daviddavid <daviddavid> 3.0.1-5.mga8
+ Revision: 1613993
- appindicator3 build dependency is no more needed

* Sat Feb 15 2020 daviddavid <daviddavid> 3.0.1-4.mga8
+ Revision: 1525733
- use new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Tue Apr 02 2019 umeabot <umeabot> 3.0.1-3.mga7
+ Revision: 1384791
- Qt5 Rebuild

* Fri Mar 01 2019 daviddavid <daviddavid> 3.0.1-2.mga7
+ Revision: 1370664
- remove unneeded botan build dependency

* Sat Sep 15 2018 daviddavid <daviddavid> 3.0.1-1.mga7
+ Revision: 1259133
- new version 3.0.1

* Sun Jan 21 2018 wally <wally> 3.0.0-1.mga7
+ Revision: 1195632
- new version 3.0.0

* Fri Feb 12 2016 luigiwalser <luigiwalser> 2.4.1-2.mga6
+ Revision: 956100
- rebuild for botan

* Tue Sep 01 2015 ovitters <ovitters> 2.4.1-1.mga6
+ Revision: 871710
- fix url
- fix summary and description
- imported package shadowsocks-qt5

